# Deposits

Before initiating a wire-out transaction you need to deposit funds in naira. You can check the bank details to top up your Sendcash balance by:

{% code title="getDepositDetails.gql" %}

```bash
query { 
   getDepositDetails {
     accountName
     accountNumber
     bankName
     id
  }
}
```

{% endcode %}

Alternatively, if you have the `id` you can query the [node field](/global-object-identification.md):

{% code title="nodeDepositDetails.gql" %}

```bash

node(id: "VHlwZXM6OlB1NGZlYMGNhZTg5Y2I") {
    ... on DepositAccount {
      accountName
      accountNumber
      bankName
      id
    }
}
```

{% endcode %}

You can use the query below to check your Naira balance

{% code title="getNairaBalance.gql" %}

```bash
query { 
   getNairaBalance
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendcash.africa/wireout-api/deposits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
